DefaultInterceptorChain (Hyperic HQ Plugin API)
Keywords: org.hyperic.hibernate.DefaultInterceptorChain class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hibernate
Class DefaultInterceptorChain

    java.lang.Object
      org.hyperic.hibernate.DefaultInterceptorChain

All Implemented Interfaces:
  HibernateInterceptorChain

    public class DefaultInterceptorChain

extends java.lang.Object
implements HibernateInterceptorChain

Constructor Summary
`DefaultInterceptorChain()`

Method Summary
`void` | `afterTransactionBegin(HibernateInterceptorChain chain, org.hibernate.Interceptor target, org.hibernate.Transaction tx)`
`void` | `afterTransactionCompletion(HibernateInterceptorChain chain, org.hibernate.Interceptor target, org.hibernate.Transaction tx)`
`void` | `beforeTransactionCompletion(HibernateInterceptorChain chain, org.hibernate.Interceptor target, org.hibernate.Transaction tx)`
`int[]` | `findDirty(HibernateInterceptorChain chain, org.hibernate.Interceptor target, java.lang.Object entity, java.io.Serializable id, java.lang.Object[] currentState, java.lang.Object[] previousState, java.lang.String[] propertyNames, org.hibernate.type.Type[] types)`
`java.lang.Object` | `getEntity(HibernateInterceptorChain chain, org.hibernate.Interceptor target, java.lang.String entityName, java.io.Serializable id)`
`java.lang.String` | `getEntityName(HibernateInterceptorChain chain, org.hibernate.Interceptor target, java.lang.Object object)`
`java.lang.Object` | `instantiate(HibernateInterceptorChain chain, org.hibernate.Interceptor target, java.lang.String entityName, org.hibernate.EntityMode entityMode, java.io.Serializable id)`
`java.lang.Boolean` | `isTransient(HibernateInterceptorChain chain, org.hibernate.Interceptor target, java.lang.Object entity)`
`void` | `onCollectionRecreate(HibernateInterceptorChain chain, org.hibernate.Interceptor target, java.lang.Object collection, java.io.Serializable key)`
`void` | `onCollectionRemove(HibernateInterceptorChain chain, org.hibernate.Interceptor target, java.lang.Object collection, java.io.Serializable key)`
`void` | `onCollectionUpdate(HibernateInterceptorChain chain, org.hibernate.Interceptor target, java.lang.Object collection, java.io.Serializable key)`
`void` | `onDelete(HibernateInterceptorChain chain, org.hibernate.Interceptor target, java.lang.Object entity, java.io.Serializable id, java.lang.Object[] state, java.lang.String[] propertyNames, org.hibernate.type.Type[] types)`
`boolean` | `onFlushDirty(HibernateInterceptorChain chain, org.hibernate.Interceptor target, java.lang.Object entity, java.io.Serializable id, java.lang.Object[] currentState, java.lang.Object[] previousState, java.lang.String[] propertyNames, org.hibernate.type.Type[] types)`
`boolean` | `onLoad(HibernateInterceptorChain chain, org.hibernate.Interceptor target, java.lang.Object entity, java.io.Serializable id, java.lang.Object[] state, java.lang.String[] propertyNames, org.hibernate.type.Type[] types)`
`java.lang.String` | `onPrepareStatement(HibernateInterceptorChain chain, org.hibernate.Interceptor target, java.lang.String sql)`
`boolean` | `onSave(HibernateInterceptorChain chain, org.hibernate.Interceptor target, java.lang.Object entity, java.io.Serializable id, java.lang.Object[] state, java.lang.String[] propertyNames, org.hibernate.type.Type[] types)`
`void` | `postFlush(HibernateInterceptorChain chain, org.hibernate.Interceptor target, java.util.Iterator entities)`
`void` | `preFlush(HibernateInterceptorChain chain, org.hibernate.Interceptor target, java.util.Iterator entities)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultInterceptorChain

    public DefaultInterceptorChain()

Method Detail

### onDelete

    public void onDelete(HibernateInterceptorChain chain,
                         org.hibernate.Interceptor target,
                         java.lang.Object entity,
                         java.io.Serializable id,
                         java.lang.Object[] state,
                         java.lang.String[] propertyNames,
                         org.hibernate.type.Type[] types)

  Specified by:
    `onDelete` in interface `HibernateInterceptorChain`

### onFlushDirty

    public boolean onFlushDirty(HibernateInterceptorChain chain,
                                org.hibernate.Interceptor target,
                                java.lang.Object entity,
                                java.io.Serializable id,
                                java.lang.Object[] currentState,
                                java.lang.Object[] previousState,
                                java.lang.String[] propertyNames,
                                org.hibernate.type.Type[] types)

  Specified by:
    `onFlushDirty` in interface `HibernateInterceptorChain`

### onLoad

    public boolean onLoad(HibernateInterceptorChain chain,
                          org.hibernate.Interceptor target,
                          java.lang.Object entity,
                          java.io.Serializable id,
                          java.lang.Object[] state,
                          java.lang.String[] propertyNames,
                          org.hibernate.type.Type[] types)

  Specified by:
    `onLoad` in interface `HibernateInterceptorChain`

### onSave

    public boolean onSave(HibernateInterceptorChain chain,
                          org.hibernate.Interceptor target,
                          java.lang.Object entity,
                          java.io.Serializable id,
                          java.lang.Object[] state,
                          java.lang.String[] propertyNames,
                          org.hibernate.type.Type[] types)

  Specified by:
    `onSave` in interface `HibernateInterceptorChain`

### postFlush

    public void postFlush(HibernateInterceptorChain chain,
                          org.hibernate.Interceptor target,
                          java.util.Iterator entities)

  Specified by:
    `postFlush` in interface `HibernateInterceptorChain`

### preFlush

    public void preFlush(HibernateInterceptorChain chain,
                         org.hibernate.Interceptor target,
                         java.util.Iterator entities)

  Specified by:
    `preFlush` in interface `HibernateInterceptorChain`

### isTransient

    public java.lang.Boolean isTransient(HibernateInterceptorChain chain,
                                         org.hibernate.Interceptor target,
                                         java.lang.Object entity)

  Specified by:
    `isTransient` in interface `HibernateInterceptorChain`

### instantiate

    public java.lang.Object instantiate(HibernateInterceptorChain chain,
                                        org.hibernate.Interceptor target,
                                        java.lang.String entityName,
                                        org.hibernate.EntityMode entityMode,
                                        java.io.Serializable id)

  Specified by:
    `instantiate` in interface `HibernateInterceptorChain`

### findDirty

    public int[] findDirty(HibernateInterceptorChain chain,
                           org.hibernate.Interceptor target,
                           java.lang.Object entity,
                           java.io.Serializable id,
                           java.lang.Object[] currentState,
                           java.lang.Object[] previousState,
                           java.lang.String[] propertyNames,
                           org.hibernate.type.Type[] types)

  Specified by:
    `findDirty` in interface `HibernateInterceptorChain`

### getEntityName

    public java.lang.String getEntityName(HibernateInterceptorChain chain,
                                          org.hibernate.Interceptor target,
                                          java.lang.Object object)

  Specified by:
    `getEntityName` in interface `HibernateInterceptorChain`

### getEntity

    public java.lang.Object getEntity(HibernateInterceptorChain chain,
                                      org.hibernate.Interceptor target,
                                      java.lang.String entityName,
                                      java.io.Serializable id)

  Specified by:
    `getEntity` in interface `HibernateInterceptorChain`

### afterTransactionBegin

    public void afterTransactionBegin(HibernateInterceptorChain chain,
                                      org.hibernate.Interceptor target,
                                      org.hibernate.Transaction tx)

  Specified by:
    `afterTransactionBegin` in interface `HibernateInterceptorChain`

### afterTransactionCompletion

    public void afterTransactionCompletion(HibernateInterceptorChain chain,
                                           org.hibernate.Interceptor target,
                                           org.hibernate.Transaction tx)

  Specified by:
    `afterTransactionCompletion` in interface `HibernateInterceptorChain`

### beforeTransactionCompletion

    public void beforeTransactionCompletion(HibernateInterceptorChain chain,
                                            org.hibernate.Interceptor target,
                                            org.hibernate.Transaction tx)

  Specified by:
    `beforeTransactionCompletion` in interface `HibernateInterceptorChain`

### onPrepareStatement

    public java.lang.String onPrepareStatement(HibernateInterceptorChain chain,
                                               org.hibernate.Interceptor target,
                                               java.lang.String sql)

  Specified by:
    `onPrepareStatement` in interface `HibernateInterceptorChain`

### onCollectionRemove

    public void onCollectionRemove(HibernateInterceptorChain chain,
                                   org.hibernate.Interceptor target,
                                   java.lang.Object collection,
                                   java.io.Serializable key)
                            throws org.hibernate.CallbackException

  Specified by:
    `onCollectionRemove` in interface `HibernateInterceptorChain`
  Throws:
    `org.hibernate.CallbackException`

### onCollectionRecreate

    public void onCollectionRecreate(HibernateInterceptorChain chain,
                                     org.hibernate.Interceptor target,
                                     java.lang.Object collection,
                                     java.io.Serializable key)
                              throws org.hibernate.CallbackException

  Specified by:
    `onCollectionRecreate` in interface `HibernateInterceptorChain`
  Throws:
    `org.hibernate.CallbackException`

### onCollectionUpdate

    public void onCollectionUpdate(HibernateInterceptorChain chain,
                                   org.hibernate.Interceptor target,
                                   java.lang.Object collection,
                                   java.io.Serializable key)
                            throws org.hibernate.CallbackException

  Specified by:
    `onCollectionUpdate` in interface `HibernateInterceptorChain`
  Throws:
    `org.hibernate.CallbackException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.